/ comp / gb.gtk / picture
Picture (gb.gtk)
This class represents a picture.

The picture contents are stored in the display server, not in the process memory like an Image.

Even if the underlying toolkit does not completely manage transparency yet, each picture can have a mask. This feature can be set explicitely at picture instanciation, or implicitely when loading an image file that has transparency like PNG.

When drawing on a picture having a mask, the picture and the mask are modified accordingly.

Symbols
This class is creatable.
This class acts like a read / write array.

Static methods |
Flush Load |

Properties |  | Methods |
Depth /comp/gb.gtk/picture/h Height Image Transparent /comp/gb.gtk/picture/w Width |  | Clear Copy Fill Resize Save |